ElevationState (install4j API)
Description: declaration: package: com.install4j.api.windows, enum: ElevationState

# Enum Class ElevationState

java.lang.Object
java.lang.Enum<ElevationState>
com.install4j.api.windows.ElevationState

All Implemented Interfaces:
  `Serializable, Comparable<ElevationState>, Constable`

public enum ElevationState extends Enum<ElevationState>
Enumeration class for the different elevation states the current process can be in.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ELEVATION_STATE_DEFAULT`
  The current process is not limited and not elevated on Vista or higher.
  `ELEVATION_STATE_FULL`
  The current process was elevated and runs with full rights.
  `ELEVATION_STATE_LIMITED`
  The current process runs with limited rights.
  `ELEVATION_STATE_NOT_APPLICABLE`
  All processes on a system with a Windows version previous to Vista.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static ElevationState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ElevationState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ELEVATION_STATE_NOT_APPLICABLE

    public static final ElevationState ELEVATION_STATE_NOT_APPLICABLE
    All processes on a system with a Windows version previous to Vista.

  - ### ELEVATION_STATE_DEFAULT

    public static final ElevationState ELEVATION_STATE_DEFAULT
    The current process is not limited and not elevated on Vista or higher. This can be a process of a non-admin user or of an admin user when UAC is turned off. You can differentiate between those two with `Util.hasFullAdminRights()`.

  - ### ELEVATION_STATE_LIMITED

    public static final ElevationState ELEVATION_STATE_LIMITED
    The current process runs with limited rights. UAC is turned on.

  - ### ELEVATION_STATE_FULL

    public static final ElevationState ELEVATION_STATE_FULL
    The current process was elevated and runs with full rights. UAC is turned on.

- ## Method Details

  - ### values

    public static ElevationState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ElevationState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ElevationState>`